gnutls_x509_crt_verify(3)

NAME
gnutls_x509_crt_verify - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_verify(gnutls_x509_crt_t cert, const gnutls_x509_crt_t * CA_list, unsigned CA_list_length, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_x509_crt_t cert
    is the certificate to be verified

const gnutls_x509_crt_t * CA_list
    is one certificate that is considered to be trusted one

unsigned CA_list_length
    holds the number of CA certificate in CA_list

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

unsigned int * verify
    will hold the certificate verification output.

DESCRIPTION
This function will try to verify the given certificate and return its status. Note that a verification error does not imply a negative return status. In that case the verify status is set. The details of the verification are the same as in gnutls_x509_trust_list_verify_crt2().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/